Bug 426318 - firefox locks up on specific page
firefox locks up on specific page
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
firefox3INSUFFICIENT_DATAmassClosing
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-19 18:57 EST by Peter Zelezny
Modified: 2008-04-09 10:05 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 10:05:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Zelezny 2007-12-19 18:57:42 EST
Description of problem:
Firefox locks up on www.equinoxminerals.com when navigating to
the PHOTOS section.

Version-Release number of selected component (if applicable):
firefox-2.0.0.10-3.fc8

How reproducible:
Every time.

Steps to Reproduce:
1.enter URL http://www.equinoxminerals.com/
2.Go to "Development" menu.
3.Go to "Lumwana Development Photos".
4.Go to "November 2007".
5.Window stops re-painting shortly after.

Actual results:


Expected results:


Additional info:
Comment 1 Peter Zelezny 2007-12-19 19:29:45 EST
#0  0x00110402 in __kernel_vsyscall ()
#1  0x00d0c902 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x006a0336 in ?? () from /usr/lib/libnspr4.so
#3  0x006a1174 in PR_WaitCondVar () from /usr/lib/libnspr4.so
#4  0x006a6cdf in PR_Sleep () from /usr/lib/libnspr4.so
#5  0x0107ea27 in nsXMLHttpRequest::Send (this=0x9edd1d8, aBody=0xa008360) at
nsXMLHttpRequest.cpp:1683
#6  0x0074e841 in XPTC_InvokeByIndex () at
../../../../../../dist/include/xpcom/xptcstubsdef.inc:251
#7  0x0060e77d in XPCWrappedNative::CallMethod (ccx=@0xbfd6482c,
mode=XPCWrappedNative::CALL_METHOD) at xpcwrappednative.cpp:2169
#8  0x00612471 in XPC_WN_CallMethod (cx=0xa013ff8, obj=0x9c07d30, argc=1,
argv=0xa0a880c, vp=0xbfd64950) at xpcwrappednativejsops.cpp:1455
#9  0x008464c1 in js_Invoke (cx=0xa013ff8, argc=1, flags=0) at jsinterp.c:1375
#10 0x0084de4b in js_Interpret (cx=0xa013ff8, pc=<value optimized out>,
result=0xbfd64be8) at jsinterp.c:3944
#11 0x00853f1d in js_Execute (cx=0xa013ff8, chain=0x9cb8560, script=0x9fef890,
down=0x0, flags=0, result=0xbfd64cd8) at jsinterp.c:1633
#12 0x0081eafd in JS_EvaluateUCScriptForPrincipals (cx=0xa013ff8, obj=0x9cb8560,
principals=0xa081714, chars=0x9fd4058, length=75, 
    filename=0x9ea4658
"http://www.equinoxminerals.com/development/lumwana-development-photos/november-2007",
lineno=151, rval=0xbfd64cd8) at jsapi.c:4296
#13 0x01161332 in nsJSContext::EvaluateString (this=0x9cbda60,
aScript=@0xbfd64e24, aScopeObject=0x9cb8560, aPrincipal=0xa081710, 
    aURL=0x9ea4658
"http://www.equinoxminerals.com/development/lumwana-development-photos/november-2007",
aLineNo=151, aVersion=0x89657c "default", aRetValue=0x0, 
    aIsUndefined=0xbfd64d80) at nsJSEnvironment.cpp:1100
#14 0x0106f61e in nsScriptLoader::EvaluateScript (this=0x9ed22a8,
aRequest=0xa033888, aScript=@0xbfd64e24) at nsScriptLoader.cpp:810
Comment 2 Matěj Cepl 2007-12-20 02:58:11 EST
Can fully reproduce here. When running firefox -g I got (after pressing Ctrl-C):

Program received signal SIGINT, Interrupt.
[Switching to Thread -1208281392 (LWP 18136)]
0x00110402 in __kernel_vsyscall ()
(gdb) thread apply all backtrace

Thread 15 (Thread -1340089456 (LWP 18176)):
#0  0x00110402 in __kernel_vsyscall ()
#1  0x009f95d5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x04f90206 in PR_WaitCondVar (cvar=0x99f0db8, timeout=4294967295)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:405
#3  0x04f90267 in PR_Wait (mon=0x99d4158, timeout=4294967295)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:584
#4  0x04e3ceb1 in PL_WaitForEvent ()
   from /usr/lib/firefox-2.0.0.10/libxpcom_core.so
#5  0x04e3e369 in ?? () from /usr/lib/firefox-2.0.0.10/libxpcom_core.so
#6  0x006cb568 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libtoolkitcomps.so
#7  0x04f9615d in _pt_root (arg=0xaf003ca0)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#8  0x009f550b in start_thread () from /lib/libpthread.so.0
#9  0x00936b2e in clone () from /lib/libc.so.6

Thread 12 (Thread -1319109744 (LWP 18169)):
#0  0x00110402 in __kernel_vsyscall ()
#1  0x009f95d5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x04f90206 in PR_WaitCondVar (cvar=0xb177da60, timeout=4294967295)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:405
---Type <return> to continue, or q <return> to quit---
#3  0x01781386 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libstoragecomps.so
#4  0x01782ec7 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libstoragecomps.so
#5  0x04e407e9 in ?? () from /usr/lib/firefox-2.0.0.10/libxpcom_core.so
#6  0x04f9615d in _pt_root (arg=0xb177db00)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#7  0x009f550b in start_thread () from /lib/libpthread.so.0
#8  0x00936b2e in clone () from /lib/libc.so.6

Thread 10 (Thread -1293943920 (LWP 18167)):
#0  0x00110402 in __kernel_vsyscall ()
#1  0x009f95d5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x04f90206 in PR_WaitCondVar (cvar=0xb2e91050, timeout=4294967295)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:405
#3  0x076f3822 in ?? () from /usr/lib/firefox-2.0.0.10/components/libpipnss.so
#4  0x076f1d96 in ?? () from /usr/lib/firefox-2.0.0.10/components/libpipnss.so
#5  0x04f9615d in _pt_root (arg=0xb2e91090)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#6  0x009f550b in start_thread () from /lib/libpthread.so.0
#7  0x00936b2e in clone () from /lib/libc.so.6

Thread 9 (Thread -1266844784 (LWP 18166)):
---Type <return> to continue, or q <return> to quit---
#0  0x00110402 in __kernel_vsyscall ()
#1  0x009f95d5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x04f90206 in PR_WaitCondVar (cvar=0xb2e90f00, timeout=4294967295)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:405
#3  0x076f23eb in ?? () from /usr/lib/firefox-2.0.0.10/components/libpipnss.so
#4  0x076f1d96 in ?? () from /usr/lib/firefox-2.0.0.10/components/libpipnss.so
#5  0x04f9615d in _pt_root (arg=0xb2e90f40)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#6  0x009f550b in start_thread () from /lib/libpthread.so.0
#7  0x00936b2e in clone () from /lib/libc.so.6

Thread 5 (Thread -1234175088 (LWP 18145)):
#0  0x00110402 in __kernel_vsyscall ()
#1  0x0092cac3 in __poll (fds=0x9b7ff4, nfds=1, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x04f91e89 in PR_Poll (pds=0xb66ff2fc, npds=1, timeout=4294967295)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptio.c:3877
#3  0x04f988bd in WaitPidDaemonThread (unused=0x0)
    at ../../../../mozilla/nsprpub/pr/src/md/unix/uxproces.c:712
#4  0x04f9615d in _pt_root (arg=0x9404900)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#5  0x009f550b in start_thread () from /lib/libpthread.so.0
#6  0x00936b2e in clone () from /lib/libc.so.6
---Type <return> to continue, or q <return> to quit---

Thread 4 (Thread -1222370416 (LWP 18144)):
#0  0x00110402 in __kernel_vsyscall ()
#1  0x009f9902 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
#2  0x04f8f336 in pt_TimedWait (cv=0x90b96f4, ml=0x90c9b90, timeout=98)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:280
#3  0x04f90174 in PR_WaitCondVar (cvar=0x90b96f0, timeout=98)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:407
#4  0x04e42818 in ?? () from /usr/lib/firefox-2.0.0.10/libxpcom_core.so
#5  0x04e407e9 in ?? () from /usr/lib/firefox-2.0.0.10/libxpcom_core.so
#6  0x04f9615d in _pt_root (arg=0x9230fb8)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#7  0x009f550b in start_thread () from /lib/libpthread.so.0
#8  0x00936b2e in clone () from /lib/libc.so.6

Thread 3 (Thread -1211880560 (LWP 18143)):
#0  0x00110402 in __kernel_vsyscall ()
#1  0x0092cac3 in __poll (fds=0x9b7ff4, nfds=1, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x04f91e89 in PR_Poll (pds=0x9119170, npds=1, timeout=4294967295)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptio.c:3877
#3  0x0023f57b in ?? () from /usr/lib/firefox-2.0.0.10/components/libnecko.so
---Type <return> to continue, or q <return> to quit---
#4  0x0023f7b8 in ?? () from /usr/lib/firefox-2.0.0.10/components/libnecko.so
#5  0x04e407e9 in ?? () from /usr/lib/firefox-2.0.0.10/libxpcom_core.so
#6  0x04f9615d in _pt_root (arg=0x91194f8)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:221
#7  0x009f550b in start_thread () from /lib/libpthread.so.0
#8  0x00936b2e in clone () from /lib/libc.so.6

Thread 2 (Thread -1208281392 (LWP 18136)):
#0  0x00110402 in __kernel_vsyscall ()
#1  0x009f9902 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
#2  0x04f8f336 in pt_TimedWait (cv=0x9bdba44, ml=0x9092448, timeout=10)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:280
#3  0x04f90174 in PR_WaitCondVar (cvar=0x9bdba40, timeout=10)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:407
#4  0x04f95cdf in PR_Sleep (ticks=10)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:791
#5  0x00ffea27 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libgklayout.so
#6  0x04e54841 in XPTC_InvokeByIndex ()
   from /usr/lib/firefox-2.0.0.10/libxpcom_core.so
#7  0x004fc77d in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libxpconnect.so
---Type <return> to continue, or q <return> to quit---
#8  0x00500471 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libxpconnect.so
#9  0x04fdf4c1 in js_Invoke () from /usr/lib/firefox-2.0.0.10/libmozjs.so
#10 0x04fe6e4b in ?? () from /usr/lib/firefox-2.0.0.10/libmozjs.so
#11 0x04fece59 in ?? () from /usr/lib/firefox-2.0.0.10/libmozjs.so
#12 0x04fb7afd in JS_EvaluateUCScriptForPrincipals ()
   from /usr/lib/firefox-2.0.0.10/libmozjs.so
#13 0x010e1332 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libgklayout.so
#14 0x00fef61e in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libgklayout.so
#15 0x00fef7ce in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libgklayout.so
#16 0x00ff0974 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libgklayout.so
#17 0x00ff09bd in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libgklayout.so
#18 0x0105c85c in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libgklayout.so
#19 0x0105ca59 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libgklayout.so
#20 0x00fd820f in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libgklayout.so
---Type <return> to continue, or q <return> to quit---
#21 0x010766fc in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libgklayout.so
#22 0x0107766b in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libgklayout.so
#23 0x02cd1883 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libhtmlpars.so
#24 0x02cd1341 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libhtmlpars.so
#25 0x02cd14b2 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libhtmlpars.so
#26 0x02cd2c9b in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libhtmlpars.so
#27 0x02cd2f80 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libhtmlpars.so
#28 0x02cd4414 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libhtmlpars.so
#29 0x02cd39e7 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libhtmlpars.so
#30 0x02ce0cc1 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libhtmlpars.so
#31 0x02ce2852 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libhtmlpars.so
#32 0x02cdf957 in ?? ()
---Type <return> to continue, or q <return> to quit---
   from /usr/lib/firefox-2.0.0.10/components/libhtmlpars.so
#33 0x00faccb4 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libgklayout.so
#34 0x00facf69 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libgklayout.so
#35 0x00feeb0e in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libgklayout.so
#36 0x00fef7dd in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libgklayout.so
#37 0x00ff133d in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libgklayout.so
#38 0x00241345 in ?? () from /usr/lib/firefox-2.0.0.10/components/libnecko.so
#39 0x0029e2a0 in ?? () from /usr/lib/firefox-2.0.0.10/components/libnecko.so
#40 0x002253a3 in ?? () from /usr/lib/firefox-2.0.0.10/components/libnecko.so
#41 0x00225641 in ?? () from /usr/lib/firefox-2.0.0.10/components/libnecko.so
#42 0x04e22173 in ?? () from /usr/lib/firefox-2.0.0.10/libxpcom_core.so
#43 0x04e3cf8d in PL_HandleEvent ()
   from /usr/lib/firefox-2.0.0.10/libxpcom_core.so
#44 0x04e3d216 in PL_ProcessPendingEvents ()
   from /usr/lib/firefox-2.0.0.10/libxpcom_core.so
#45 0x04e3ea6f in ?? () from /usr/lib/firefox-2.0.0.10/libxpcom_core.so
#46 0x00440452 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libwidget_gtk2.so
---Type <return> to continue, or q <return> to quit---
#47 0x06b9d8ad in g_io_unix_dispatch (source=0xb325ed98, callback=0x44043c, 
    user_data=0x9105a10) at giounix.c:162
#48 0x06b6e10c in IA__g_main_context_dispatch (context=0x90b79f8)
    at gmain.c:2061
#49 0x06b7154f in g_main_context_iterate (context=0x90b79f8, block=1, 
    dispatch=1, self=0x9093598) at gmain.c:2694
#50 0x06b718f9 in IA__g_main_loop_run (loop=0xb325eb10) at gmain.c:2898
#51 0x072cf3ca in IA__gtk_main () at gtkmain.c:1163
#52 0x0044083f in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libwidget_gtk2.so
#53 0x00695306 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libtoolkitcomps.so
#54 0x0804fb7d in __cxa_pure_virtual ()
#55 0x0804aca0 in __cxa_pure_virtual ()
#56 0x00879390 in __libc_start_main (main=0x804ac74 <__cxa_pure_virtual+312>, 
    argc=3, ubp_av=0xbf8bece4, init=0x8059e10, fini=0x8059e00, 
    rtld_fini=0x852940 <_dl_fini>, stack_end=0xbf8becdc) at libc-start.c:220
#57 0x0804abc1 in __cxa_pure_virtual ()

Thread 1 (LWP 18136):
#0  0x00110402 in __kernel_vsyscall ()
#1  0x009f9902 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
---Type <return> to continue, or q <return> to quit---
#2  0x04f8f336 in pt_TimedWait (cv=0x9bdba44, ml=0x9092448, timeout=10)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:280
#3  0x04f90174 in PR_WaitCondVar (cvar=0x9bdba40, timeout=10)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptsynch.c:407
#4  0x04f95cdf in PR_Sleep (ticks=10)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:791
#5  0x00ffea27 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libgklayout.so
#6  0x04e54841 in XPTC_InvokeByIndex ()
   from /usr/lib/firefox-2.0.0.10/libxpcom_core.so
#7  0x004fc77d in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libxpconnect.so
#8  0x00500471 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libxpconnect.so
#9  0x04fdf4c1 in js_Invoke () from /usr/lib/firefox-2.0.0.10/libmozjs.so
#10 0x04fe6e4b in ?? () from /usr/lib/firefox-2.0.0.10/libmozjs.so
#11 0x04fece59 in ?? () from /usr/lib/firefox-2.0.0.10/libmozjs.so
#12 0x04fb7afd in JS_EvaluateUCScriptForPrincipals ()
   from /usr/lib/firefox-2.0.0.10/libmozjs.so
#13 0x010e1332 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libgklayout.so
#14 0x00fef61e in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libgklayout.so
---Type <return> to continue, or q <return> to quit---
#15 0x00fef7ce in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libgklayout.so
#16 0x00ff0974 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libgklayout.so
#17 0x00ff09bd in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libgklayout.so
#18 0x0105c85c in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libgklayout.so
#19 0x0105ca59 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libgklayout.so
#20 0x00fd820f in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libgklayout.so
#21 0x010766fc in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libgklayout.so
#22 0x0107766b in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libgklayout.so
#23 0x02cd1883 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libhtmlpars.so
#24 0x02cd1341 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libhtmlpars.so
#25 0x02cd14b2 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libhtmlpars.so
#26 0x02cd2c9b in ?? ()
---Type <return> to continue, or q <return> to quit---
   from /usr/lib/firefox-2.0.0.10/components/libhtmlpars.so
#27 0x02cd2f80 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libhtmlpars.so
#28 0x02cd4414 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libhtmlpars.so
#29 0x02cd39e7 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libhtmlpars.so
#30 0x02ce0cc1 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libhtmlpars.so
#31 0x02ce2852 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libhtmlpars.so
#32 0x02cdf957 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libhtmlpars.so
#33 0x00faccb4 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libgklayout.so
#34 0x00facf69 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libgklayout.so
#35 0x00feeb0e in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libgklayout.so
#36 0x00fef7dd in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libgklayout.so
#37 0x00ff133d in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libgklayout.so
---Type <return> to continue, or q <return> to quit---
#38 0x00241345 in ?? () from /usr/lib/firefox-2.0.0.10/components/libnecko.so
#39 0x0029e2a0 in ?? () from /usr/lib/firefox-2.0.0.10/components/libnecko.so
#40 0x002253a3 in ?? () from /usr/lib/firefox-2.0.0.10/components/libnecko.so
#41 0x00225641 in ?? () from /usr/lib/firefox-2.0.0.10/components/libnecko.so
#42 0x04e22173 in ?? () from /usr/lib/firefox-2.0.0.10/libxpcom_core.so
#43 0x04e3cf8d in PL_HandleEvent ()
   from /usr/lib/firefox-2.0.0.10/libxpcom_core.so
#44 0x04e3d216 in PL_ProcessPendingEvents ()
   from /usr/lib/firefox-2.0.0.10/libxpcom_core.so
#45 0x04e3ea6f in ?? () from /usr/lib/firefox-2.0.0.10/libxpcom_core.so
#46 0x00440452 in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libwidget_gtk2.so
#47 0x06b9d8ad in g_io_unix_dispatch (source=0xb325ed98, callback=0x44043c, 
    user_data=0x9105a10) at giounix.c:162
#48 0x06b6e10c in IA__g_main_context_dispatch (context=0x90b79f8)
    at gmain.c:2061
#49 0x06b7154f in g_main_context_iterate (context=0x90b79f8, block=1, 
    dispatch=1, self=0x9093598) at gmain.c:2694
#50 0x06b718f9 in IA__g_main_loop_run (loop=0xb325eb10) at gmain.c:2898
#51 0x072cf3ca in IA__gtk_main () at gtkmain.c:1163
#52 0x0044083f in ?? ()
   from /usr/lib/firefox-2.0.0.10/components/libwidget_gtk2.so
#53 0x00695306 in ?? ()
---Type <return> to continue, or q <return> to quit---
   from /usr/lib/firefox-2.0.0.10/components/libtoolkitcomps.so
#54 0x0804fb7d in __cxa_pure_virtual ()
#55 0x0804aca0 in __cxa_pure_virtual ()
#56 0x00879390 in __libc_start_main (main=0x804ac74 <__cxa_pure_virtual+312>, 
    argc=3, ubp_av=0xbf8bece4, init=0x8059e10, fini=0x8059e00, 
    rtld_fini=0x852940 <_dl_fini>, stack_end=0xbf8becdc) at libc-start.c:220
#57 0x0804abc1 in __cxa_pure_virtual ()
#0  0x00110402 in __kernel_vsyscall ()
(gdb) 
Comment 3 Peter Zelezny 2008-02-17 02:21:10 EST
Reported upstream:

http://bugzilla.mozilla.org/show_bug.cgi?id=416629
Comment 4 Matěj Cepl 2008-02-21 17:34:38 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 5 Matěj Cepl 2008-02-21 17:35:52 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 6 Matěj Cepl 2008-04-09 10:05:05 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

[This is a mass-closing request, if you think that this bug shouldn't be closed,
please, reopen with additional information.]

Note You need to log in before you can comment on or make changes to this bug.